Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.getversive.com/api/v1/studies/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "config": { "primaryColor": "#FF0000" } } '
{ "id": "study_123", "title": "My Study", "metadata": {}, "type": "VERSIVE_STUDY", "mode": "TEXT_AND_VOICE", "created_at": "2024-01-01T00:00:00Z", "description": "A study about preferences.", "config": { "interviewName": "Interviewer", "primaryColor": "#0E9489" }, "welcome_message": { "title": "Welcome", "body": "Thanks for participating." }, "thank_you_message": { "title": "Thank You", "body": "Goodbye." }, "screen_out_message": { "title": "Screened Out", "body": "Sorry." } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response